*  RMCfuncs.prg (not a working program module)

// This is a list of RMChart DLL function calls formatted for use within xHb
// apps. You can copy and paste these into your prg to use as needed. They all 
// link to RMChart.dll via the DLL32 calls in RMC4xhb.PRG .  All funcs return 
// a numeric error code, explained in the Rmchart.chm docs (comes with Rmchart).

// Each function listing here has two main parts:
//   1. The list of parameters on the left, each of which you must replace
//      with either your data or else delete the parameter name to leave it
//      blank if you're not using it (but leave the comma and semicolon that 
//      may follow it).  
//
//   2. The comment column on the right following the column of semicolons
//      that should be left as-is to serve as reminders of what the data
//      you have inserted represents.
//
// Notice that special note is made in the comments column of any parameters
// that are of the tricky DOUBLE data type. DOUBLE data here MUST include a
// a decimal point followed by at least one digit or you'll get a GPF.
// Also, be sure to refer to RMChart's documentation (RMChart.chm) to see
// which parameters in each function are REQUIRED versus which are optional.

   nRt := RMC_AddBarSeries ( ;
              nCtrlId                , ;  // nCtrlId             
              nRegion                , ;  // nRegion             
              @nFirstDataValue       , ;  // @nFirstDataValue    
              nDataValuesCount       , ;  // nDataValuesCount    
              nType                  , ;  // nType               
              nStyle                 , ;  // nStyle              
              nIsLucent              , ;  // nIsLucent           
              nColor                 , ;  // nColor              
              nIsHorizontal          , ;  // nIsHorizontal       
              nWhichDataAxis         , ;  // nWhichDataAxis      
              nValueLabelOn          , ;  // nValueLabelOn       
              nPointsPerColumn       , ;  // nPointsPerColumn    
              nHatchMode               ;  // nHatchMode           
              )

   nRt := RMC_AddCaption( ;
              nCtrlID                , ;  // nCtrlID             
              nRegion                , ;  // nRegion             
              sCaption               , ;  // sCaption            
              nTitelBackColor        , ;  // nTitelBackColor     
              nTitelTextColor        , ;  // nTitelTextColor     
              nTitelFontSize         , ;  // nTitelFontSize      
              nTitelIsBold             ;  // nTitelIsBold         
              )    


   nRt := RMC_AddDataAxis( ;
              nCtrlID                , ;  // nCtrlID             
              nRegion                , ;  // nRegion             
              nAlignment             , ;  // nAlignment          
              nMinValue              , ;  // nMinValue           
              nMaxValue              , ;  // nMaxValue           
              nTickCount             , ;  // nTickCount          
              nFontsize              , ;  // nFontsize           
              nTextColor             , ;  // nTextColor          
              nLineColor             , ;  // nLineColor          
              nLineStyle             , ;  // nLineStyle          
              nNoDecimalPoint        , ;  // nNoDecimalPoint     
              sUnit                  , ;  // sUnit               
              sText                  , ;  // sText               
              sLabels                , ;  // sLabels             
              @nLabelAlignment         ;  // @nLabelAlignment     
              )    


   nRt := RMC_AddGrid( ;
              nCtrlID                , ;  // nCtrlID                
              nRegion                , ;  // nRegion                
              nBackColor             , ;  // nBackColor             
              nAsGradient            , ;  // nAsGradient            
              nLeft                  , ;  // nLeft                  
              nTop                   , ;  // nTop                   
              nWidth                 , ;  // nWidth                 
              nHeight                , ;  // nHeight                
              nBiColor                 ;  // nBiColor                
              )    


   nRt := RMC_AddGridlessSeries( ;
              nCtrlID                , ;  // nCtrlID                
              nRegion                , ;  // nRegion                
              @nFirstDataValue       , ;  // @nFirstDataValue   - DOUBLE 
              nDataValuesCount       , ;  // nDataValuesCount       
              @nFirstColorElement    , ;  // @nFirstColorElement    
              nColorElementsCount    , ;  // nColorElementsCount    
              nStyle                 , ;  // nStyle                 
              nPieAlignment          , ;  // nPieAlignment          
              nExplodemode           , ;  // nExplodemode           
              nIsLucent              , ;  // nIsLucent              
              nValueLabelOn          , ;  // nValueLabelOn          
              nHatchMode             , ;  // nHatchMode             
              nStartAngle              ;  // nStartAngle             
              )    

   nRt := RMC_AddHighLowSeries( ;
              nCtrlID                , ;  // nCtrlID                
              nRegion                , ;  // nRegion                
              @nFirstDataValue       , ;  // DOUBLE 
              nDataValuesCount       , ;  // nDataValuesCount       
              @nFirstPPCValue        , ;  // @nFirstPPCValue        
              nPPCValuesCount        , ;  // nPPCValuesCount        
              nStyle                 , ;  // nStyle                 
              nWhichDataAxis         , ;  // nWhichDataAxis         
              nColorLow              , ;  // nColorLow              
              nColorHigh               ;  // nColorHigh              
              )    
                          
   nRt := RMC_AddLabelAxis( ;
              nCtrlID                , ;  // nCtrlID                
              nRegion                , ;  // nRegion                
              sLabel                 , ;  // sLabel                 
              nCount                 , ;  // nCount                 
              nTickCount             , ;  // nTickCount             
              nAlignment             , ;  // nAlignment             
              nFontsize              , ;  // nFontsize              
              nTextColor             , ;  // nTextColor             
              nTextAlignment         , ;  // nTextAlignment         
              nLineColor             , ;  // nLineColor             
              nLineStyle             , ;  // nLineStyle             
              sText                    ;  // sText                   
              )    

   nRt := RMC_AddLegend( ;
              nCtrlID                , ;  // nCtrlID                
              nRegion                , ;  // nRegion                
              sLegendText            , ;  // sLegendText            
              nLegendAlign           , ;  // nLegendAlign           
              nLegendBackColor       , ;  // nLegendBackColor       
              nLegendStyle           , ;  // nLegendStyle           
              nLegendTextColor       , ;  // nLegendTextColor       
              nLegendFontSize        , ;  // nLegendFontSize        
              nLegendIsBold            ;  // nLegendIsBold           
              )    

   nRt := RMC_AddLineSeries( ;
              nCtrlID                , ;  // nCtrlID                
              nRegion                , ;  // nRegion                
              @nFirstDataValue       , ;  // @nFirstDataValue  -  DOUBLE 
              nDataValuesCount       , ;  // nDataValuesCount       
              @nFirstPPCValue        , ;  // @nFirstPPCValue        
              nPPCValuesCount        , ;  // nPPCValuesCount        
              nChartType             , ;  // nChartType             
              nStyle                 , ;  // nStyle                 
              nLineStyle             , ;  // nLineStyle             
              nIsLucent              , ;  // nIsLucent              
              nColor                 , ;  // nColor                 
              nChartSymbol           , ;  // nChartSymbol           
              nWhichDataAxis         , ;  // nWhichDataAxis         
              nValueLabelOn          , ;  // nValueLabelOn          
              nHatchMode               ;  // nHatchMode              
              )    

   nRt := RMC_AddRegion( ;
              nCtrlID                , ;  // nCtrlID                
              nLeft                  , ;  // nLeft                  
              nTop                   , ;  // nTop                   
              nWidth                 , ;  // nWidth                 
              nHeight                , ;  // nHeight                
              sFooter                , ;  // sFooter                
              nShowBorder              ;  // nShowBorder             
              )    

   nRt := RMC_AddToolTips( ;
              nCtrlID                , ;  // nCtrlID                
              hWnd                   , ;  // hWnd                   
              nToolTipWidth            ;  // nToolTipWidth           
              )    

   nRt := RMC_AddVolumeBarSeries( ;
              nCtrlID                , ;  // nCtrlID                
              nRegion                , ;  // nRegion                
              @nFirstDataValue       , ;  // @nFirstDataValue   -  DOUBLE 
              nDataValuesCount       , ;  // nDataValuesCount       
              @nFirstPPCValue        , ;  // @nFirstPPCValue        
              nPPCValuesCount        , ;  // nPPCValuesCount        
              nColor                 , ;  // nColor                 
              nWhichDataAxis           ;  // nWhichDataAxis          
              )    

   nRt := RMC_AddXAxis( ;
              nCtrlID                , ;  // nCtrlID                
              nRegion                , ;  // nRegion                
              nAlignment             , ;  // nAlignment             
              nMinValue              , ;  // nMinValue              
              nMaxValue              , ;  // nMaxValue              
              nTickCount             , ;  // nTickCount             
              nFontsize              , ;  // nFontsize              
              nTextColor             , ;  // nTextColor             
              nLineColor             , ;  // nLineColor             
              nLineStyle             , ;  // nLineStyle             
              nNoDecimalPoint        , ;  // nNoDecimalPoint        
              sUnit                  , ;  // sUnit                  
              sText                  , ;  // sText                  
              sLabels                , ;  // sLabels                
              nLabelAlignment          ;  // nLabelAlignment         
              )    

   nRt := RMC_AddYAxis( ;
              nCtrlID                , ;  // nCtrlID                
              nRegion                , ;  // nRegion                
              nAlignment             , ;  // nAlignment             
              nMinValue              , ;  // nMinValue              
              nMaxValue              , ;  // nMaxValue              
              nTickCount             , ;  // nTickCount             
              nFontsize              , ;  // nFontsize              
              nTextColor             , ;  // nTextColor             
              nLineColor             , ;  // nLineColor             
              nLineStyle             , ;  // nLineStyle             
              nNoDecimalPoint        , ;  // nNoDecimalPoint        
              sUnit                  , ;  // sUnit                  
              sText                  , ;  // sText                  
              sLabels                , ;  // sLabels                
              nLabelAlignment          ;  // nLabelAlignment         
              )    

   nRt := RMC_AddXYSeries( ;
              nCtrlID                , ;  // nCtrlID                
              nRegion                , ;  // nRegion                
              @nFirstXDataValue      , ;  // @nFirstXDataValue -  DOUBLE 
              nDataXValuesCount      , ;  // nDataXValuesCount      
              @nFirstYDataValue      , ;  // @nFirstYDataValue -  DOUBLE 
              nDataYValuesCount      , ;  // nDataYValuesCount      
              nColor                 , ;  // nColor                 
              nStyle                 , ;  // nStyle                 
              nLineStyle             , ;  // nLineStyle             
              nSymbolStyle           , ;  // nSymbolStyle           
              nWhichXAxis            , ;  // nWhichXAxis            
              nWhichYAxis            , ;  // nWhichYAxis            
              nValueLabelOn            ;  // nValueLabelOn           
              )    

   nRt := RMC_CalcAverage( ;
              nCtrlId                , ;  // nCtrlId                
              nRegion                , ;  // nRegion                
              nSeriesIndex           , ;  // nSeriesIndex           
              @nAverage              , ;  // @nAverage         -  DOUBLE 
              @nXStart               , ;  // @nXStart               
              @nYStart               , ;  // @nYStart               
              @nXEnd                 , ;  // @nXEnd                 
              @nYEnd                 , ;  // @nYEnd                 
              sHighLowIndex            ;  // sHighLowIndex           
              )    


   nRt := RMC_CalcTrend( ;
              nCtrlId                , ;  // nCtrlId                
              nRegion                , ;  // nRegion                
              nSeriesIndex           , ;  // nSeriesIndex           
              @nFirstValue           , ;  // @nFirstValue       - DOUBLE 
              @nLastValue            , ;  // @nLastValue        - DOUBLE 
              @nXStart               , ;  // @nXStart               
              @nYStart               , ;  // @nYStart               
              @nXEnd                 , ;  // @nXEnd                 
              @nYEnd                 , ;  // @nYEnd                 
              sHighLowIndex            ;  // sHighLowIndex           
              )    
                   
   nRt := RMC_COBox( ;
              nCtrlID                , ;  // nCtrlID                
              nCOIndex               , ;  // nCOIndex               
              nLeft                  , ;  // nLeft                  
              nTop                   , ;  // nTop                   
              nWidth                 , ;  // nWidth                 
              nHeight                , ;  // nHeight                
              nStyle                 , ;  // nStyle                 
              nBGColor               , ;  // nBGColor               
              nLineColor             , ;  // nLineColor             
              nTransparency            ;  // nTransparency           
              )    

   nRt := RMC_COCircle( ;
              nCtrlID                , ;  // nCtrlID                
              nCOIndex               , ;  // nCOIndex               
              nXCenter               , ;  // nXCenter               
              nYCenter               , ;  // nYCenter               
              nWidth                 , ;  // nWidth                 
              nStyle                 , ;  // nStyle                 
              nBGColor               , ;  // nBGColor               
              nLineColor             , ;  // nLineColor             
              nTransparency            ;  // nTransparency           
              )    

   nRt := RMC_CODash( ;
              nCtrlId                , ;  // nCtrlId                
              nCOIndex               , ;  // nCOIndex               
              nXStart                , ;  // nXStart                
              nYStart                , ;  // nYStart                
              nXEnd                  , ;  // nXEnd                  
              nYEnd                  , ;  // nYEnd                  
              nStyle                 , ;  // nStyle                 
              nColor                 , ;  // nColor                 
              nAsSpline              , ;  // nAsSpline              
              nLineWidth             , ;  // nLineWidth             
              nStartCap              , ;  // nStartCap              
              nEndCap                  ;  // nEndCap                 
              )    

   nRt := RMC_CODelete( ;
              nCtrlId                , ;  // nCtrlId                
              nIndex                   ;  // nIndex                  
              )    

   nRt := RMC_COGetTextWH( ;
              nCtrlID                , ;  // nCtrlID                
              nIndex                 , ;  // nIndex                 
              @nWH                     ;  // @nWH                    
              )    

   nRt := RMC_COImage( ;
              nCtrlID                , ;  // nCtrlID                
              nCOIndex               , ;  // nCOIndex               
              sImagePath             , ;  // sImagePath             
              nLeft                  , ;  // nLeft                  
              nTop                   , ;  // nTop                   
              nWidth                 , ;  // nWidth                 
              nHeight                  ;  // nHeight                 
              )    

   nRt := RMC_COLine( ;
              nCtrlId                , ;  // nCtrlId                
              nCOIndex               , ;  // nCOIndex               
              @nXPoints              , ;  // @nXPoints              
              @nYPoints              , ;  // @nYPoints              
              nPointsCount           , ;  // nPointsCount           
              nStyle                 , ;  // nStyle                 
              nColor                 , ;  // nColor                 
              nAsSpline              , ;  // nAsSpline              
              nLineWidth             , ;  // nLineWidth             
              nStartCap              , ;  // nStartCap              
              nEndCap                  ;  // nEndCap                 
              )    

   nRt := RMC_COPolygon( ;
              nCtrlId                , ;  // nCtrlId                
              nCOIndex               , ;  // nCOIndex               
              @nXPoints              , ;  // @nXPoints              
              @nYPoints              , ;  // @nYPoints              
              nPointsCount           , ;  // nPointsCount           
              nBGColor               , ;  // nBGColor               
              nLineColor             , ;  // nLineColor             
              nAsSpline              , ;  // nAsSpline              
              nTransparency            ;  // nTransparency           
              )    

   nRt := RMC_COSymbol( ;
              nCtrlID                , ;  // nCtrlID                
              nCOIndex               , ;  // nCOIndex               
              nXCenter               , ;  // nXCenter               
              nYCenter               , ;  // nYCenter               
              nStyle                 , ;  // nStyle                 
              nColor                   ;  // nColor                  
              )    

   nRt := RMC_COText( ;
              nCtrlID                , ;  // nCtrlID                
              nCOIndex               , ;  // nCOIndex               
              sText                  , ;  // sText                  
              nLeft                  , ;  // nLeft                  
              nTop                   , ;  // nTop                   
              nWidth                 , ;  // nWidth                 
              nHeight                , ;  // nHeight                
              nStyle                 , ;  // nStyle                 
              nBGColor               , ;  // nBGColor               
              nLineColor             , ;  // nLineColor             
              nTransparency          , ;  // nTransparency          
              nLineAlignment         , ;  // nLineAlignment         
              nTextColor             , ;  // nTextColor             
              sTextProperties          ;  // sTextProperties         
              )    
                    
   nRt := RMC_COVisible( ;
              nCtrlId                , ;  // nCtrlId                
              nIndex                 , ;  // nIndex                 
              Hide                     ;  // Hide                    
              )    

   nRt := RMC_CreateChart( ;
              nParentHndl            , ;  // nParentHndl            
              nCtrlId                , ;  // nCtrlId                
              nX                     , ;  // nX                     
              nY                     , ;  // nY                     
              nWidth                 , ;  // nWidth                 
              nHeight                , ;  // nHeight                
              nBackColor             , ;  // nBackColor             
              nCtrlStyle             , ;  // nCtrlStyle             
              nExportOnly            , ;  // nExportOnly            
              sBgImage               , ;  // sBgImage               
              sFontName              , ;  // sFontName              
              nToolTipWidth          , ;  // nToolTipWidth          
              nBitmapBKColor           ;  // nBitmapBKColor          
              )     

   nRt := RMC_CreateChartFromFile( ;
              nParentHndl            , ;  // nParentHndl            
              nCtrlId                , ;  // nCtrlId                
              nX                     , ;  // nX                     
              nY                     , ;  // nY                     
              nExportOnly            , ;  // nExportOnly            
              sRMCFile                 ;  // sRMCFile                
              )    

   nRt := RMC_CreateChartOnDC( ;
              nParentDC              , ;  // nParentDC              
              nCtrlId                , ;  // nCtrlId                
              nX                     , ;  // nX                     
              nY                     , ;  // nY                     
              nWidth                 , ;  // nWidth                 
              nHeight                , ;  // nHeight                
              nBackColor             , ;  // nBackColor             
              nCtrlStyle             , ;  // nCtrlStyle             
              nExportOnly            , ;  // nExportOnly            
              sBgImage               , ;  // sBgImage               
              sFontName              , ;  // sFontName              
              nBitmapBKColor           ;  // nBitmapBKColor          
              )     

   nRt := RMC_CreateChartFromFileOnDC( ;
              nParentDC              , ;  // nParentDC              
              nCtrlId                , ;  // nCtrlId                
              nX                     , ;  // nX                     
              nY                     , ;  // nY                     
              nExportOnly            , ;  // nExportOnly            
              sRMCFile                 ;  // sRMCFile                
              )    

   nRt := RMC_DeleteChart( ;
              nCtrlID                  ;  // nCtrlID                 
              )    

   nRt := RMC_Draw( ;
              nCtrlID                  ;  // nCtrlID                 
              )    

   nRt := RMC_Draw2Clipboard( ;
              nCtrlID                , ;  // nCtrlID                
              nType                    ;  // nType                   
              )    
                 
   nRt := RMC_Draw2File( ;
              nCtrlID                , ;  // nCtrlID                
              sFileName              , ;  // sFileName              
              nWidth                 , ;  // nWidth                 
              nHeight                , ;  // nHeight                
              nJPGQualityLevel         ;  // nJPGQualityLevel        
              )    

   nRt := RMC_Draw2Printer( ;
              nCtrlID                , ;  // nCtrlID                
              nPrinterDC             , ;  // nPrinterDC as HDC      
              nLeft                  , ;  // nLeft                  
              nTop                   , ;  // nTop                   
              nWidth                 , ;  // nWidth                 
              nHeight                , ;  // nHeight                
              nType                    ;  // nType                   
              )    

   nRt := RMC_GetChartsizeFromFile( ;
              sRMCFile               , ;  // sRMCFile               
              @nWidth                , ;  // @nWidth                
              @nHeight                 ;  // @nHeight                
              )    

   nRt := RMC_GetCtrlLeft( ;
              nCtrlID                  ;  // nCtrlID                 
              )    
                 
   nRt := RMC_GetCtrlTop( ;
              nCtrlID                  ;  // nCtrlID                 
              )    

   nRt := RMC_GetCtrlWidth( ;
              nCtrlID                  ;  // nCtrlID                 
              )    

   nRt := RMC_GetCtrlHeight( ;
              nCtrlID                  ;  // nCtrlID                 
              )    

   nRt := RMC_GetData( ;
              nCtrlID                , ;  // nCtrlID                
              nRegion                , ;  // nRegion                
              nSeriesIndex           , ;  // nSeriesIndex           
              nDataIndex             , ;  // nDataIndex             
              @nData                 , ;  // @nData      -  DOUBLE 
              nYData                   ;  // nYData                  
              )    

   nRt := RMC_GetDataCount( ;
              nCtrlID                , ;  // nCtrlID                
              nRegion                , ;  // nRegion                
              nSeriesIndex           , ;  // nSeriesIndex           
              @nDataCount              ;  // @nDataCount             
              )    

   nRt := RMC_GetDataLocation( ;
              nCtrlID                , ;  // nCtrlID                
              nRegion                , ;  // nRegion                
              nSeriesIndex           , ;  // nSeriesIndex           
              nData                  , ;  // nData                  
              @nXYPos                  ;  // @nXYPos                 
              )    

   nRt := RMC_GetDataLocationXY( ;
              nCtrlID                , ;  // nCtrlID                
              nRegion                , ;  // nRegion                
              nSeriesIndex           , ;  // nSeriesIndex           
              nDataX                 , ;  // nDataX                 
              nDataY                 , ;  // nDataY                 
              @nXPos                 , ;  // @nXPos                 
              @nYPos                   ;  // @nYPos                  
              )    

   nRt := RMC_GetSeriesDataRange( ;                         // new
              nCtrlId             , ;  // nCtrlId             
              nRegion             , ;  // nRegion             
              nSeries             , ;  // nSeries             
              @nFirst             , ;  // @nFirst             
              @nLast                ;  // @nLast               
              )

   nRt := RMC_GetGridLocation( ;    
              nCtrlID                , ;  // nCtrlID                
              nRegion                , ;  // nRegion                
              @nLeft                 , ;  // @nLeft                 
              @nTop                  , ;  // @nTop                  
              @nRight                , ;  // @nRight                
              @nBottom                 ;  // @nBottom                
              ) 

   nRt := RMC_GetHighPart( ;
              nParam                   ;  // nParam     - DOUBLE      
              )

   nRt := RMC_GetImageSizeFromFile( ;
              sImagePath             , ;  // sImagePath             
              @nWidth                , ;  // @nWidth                
              @nHeight                 ;  // @nHeight                
              )    

   nRt := RMC_GetINFO( ;
              nCtrlID                , ;  // nCtrlID                
              @oINFO                 , ;  // @oINFO                 
              nRegion                , ;  // nRegion                
              nSeries                , ;  // nSeries                
              nIndex                   ;  // nIndex                  
              )    
              
   nRt := RMC_GetINFOXY( ;
              nCtrlID                , ;  // nCtrlID                
              @oINFO                 , ;  // @oINFO                 
              nX                     , ;  // nX                     
              nY                       ;  // nY                      
              )    

   nRt := RMC_GetLowPart( ;
              nParam                   ;  // nParam    - DOUBLE
              )

   nRt := RMC_GetVersion( ;
              )    

   nRt := RMC_Magnifier( ;
              nCtrlID                , ;  // nCtrlID                
              nEnable                , ;  // nEnable                
              nSize                  , ;  // nSize                  
              nColor                 , ;  // nColor                 
              nLineColor             , ;  // nLineColor             
              nTransparency            ;  // nTransparency           
              )    

   nRt := RMC_Paint( ;
              nCtrlID ;
              )

   // Obsolete, per RM in RMChart.chm.  See replacement below.
   nRt := RMC_ReadDataFromFile( ;
              @aData                 , ;  // @aData                 
              @sFileName             , ;  // @sFileName             
              @sLines                , ;  // @sLines                
              @sFields               , ;  // @sFields               
              @sFieldDelimiter       , ;  // @sFieldDelimiter       
              nReverse                 ;  // nReverse                
              )    

   // Replaced by function XHB_ReadDataFromfile() included in RMC4XHB.prg
   nRt := RMC_ReadStringFromFile( ;
              @sValue                , ;  // @sValue - an array!! sValue[]
              @sFileName             , ;  // @sFileName             
              @sLines                , ;  // @sLines                
              @sFields               , ;  // @sFields               
              @sFieldDelimiter       , ;  // @sFieldDelimiter       
              nReverse                 ;  // nReverse                
              )    

   // Replacement for the 2 prior RMC funcs. This function is in RMC4XHB.prg...
   // Use this when you need to get back an array of data from a CSV file
   nDataCount = XHB_ReadDataFromFile( ;   // An xHb function replacing obsolete Rmc function.
                    @aData           , ;  // @aData
                    sFileName        , ;  // sFileName
                    sLines           , ;  // sLines
                    sFields          , ;  // sFields
                    sFieldDelimiters , ;  // sFieldDelimiters
                    lnReverse        , ;  // lnReverse
                    lnReturnNumeric    ;  // lnReturnNumeric
                    )
   // See examples in RmcDemo.prg for how to use this func.


   nRt := RMC_Reset( ;
              nCtrlID                  ;  // nCtrlID                 
              )    

   nRt := RMC_SaveBMP( ;
              hBmp                   , ;   // hBmp                   
              @sFileName               ;  // @sFileName              
              )    

   nRt := RMC_SetCaptionText( ;
              nCtrlID                , ;  // nCtrlID                
              nRegion                , ;  // nRegion                
              sText                    ;  // sText                   
              )    
                 
   nRt := RMC_SetCaptionBGColor( ;
              nCtrlID                , ;  // nCtrlID                
              nRegion                , ;  // nRegion                
              nColor                   ;  // nColor                  
              )    

   nRt := RMC_SetCaptionTextColor( ;
              nCtrlID                , ;  // nCtrlID                
              nRegion                , ;  // nRegion                
              nColor                   ;  // nColor                  
              )    

   nRt := RMC_SetCaptionFontSize( ;
              nCtrlID                , ;  // nCtrlID                
              nRegion                , ;  // nRegion                
              nFontSize                ;  // nFontSize               
              )    

   nRt := RMC_SetCaptionFontBold( ;
              nCtrlID                , ;  // nCtrlID                
              nRegion                , ;  // nRegion                
              nFontBold                ;  // nFontBold               
              )    
                 
   nRt := RMC_SetCtrlBGColor( ;
              nCtrlId                , ;  // nCtrlId                
              nColor                   ;  // nColor                  
              )    

   nRt := RMC_SetCtrlBGImage( ;
              nCtrlId                , ;  // nCtrlId                
              sBgImage                 ;  // sBgImage                
              )    

   nRt := RMC_SetCtrlFont( ;
              nCtrlId                , ;  // nCtrlId                
              sFontName                ;  // sFontName               
              )    

   nRt := RMC_SetCtrlPos( ;
              nCtrlID                , ;  // nCtrlID                
              nLeft                  , ;  // nLeft                  
              nTop                   , ;  // nTop                   
              nRelative                ;  // nRelative               
              )    

   nRt := RMC_SetCtrlSize( ;
              nCtrlID                , ;  // nCtrlID                
              nWidth                 , ;  // nWidth                 
              nHeight                , ;  // nHeight                
              nRelative              , ;  // nRelative              
              nRecalcMode              ;  // nRecalcMode             
              )    

   nRt := RMC_SetCtrlStyle( ;
              nCtrlId                , ;  // nCtrlId                
              nStyle                   ;  // nStyle                  
              )    

   nRt := RMC_SetCustomToolTipText( ;
              nCtrlId                , ;  // nCtrlId                
              nRegion                , ;  // nRegion                
              nSeries                , ;  // nSeries                
              nDataIndex             , ;  // nDataIndex             
              sText                    ;  // sText                   
              )    
                  
   nRt := RMC_SetDAXAlignment( ;
              nCtrlID                , ;  // nCtrlID                
              nRegion                , ;  // nRegion                
              nAlignment               ;  // nAlignment              
              )    

   nRt := RMC_SetDAXDecimalDigits( ;
              nCtrlID                , ;  // nCtrlID                
              nRegion                , ;  // nRegion                
              nDecimalDigits         , ;  // nDecimalDigits         
              nAxisIndex               ;  // nAxisIndex              
              )    

   nRt := RMC_SetDAXFontSize( ;
              nCtrlID                , ;  // nCtrlID                
              nRegion                , ;  // nRegion                
              nFontSize                ;  // nFontSize               
              )    

   nRt := RMC_SetDAXLabelAlignment( ;  //                  // new
              nCtrlID            , ;  // nCtrlID            
              nRegion            , ;  // nRegion            
              nLabelAlignment    , ;  // nLabelAlignment    
              nAxisIndex           ;  // nAxisIndex          
              )

   nRt := FUNCTION RMC_SetDAXLabels( ;                     // new
              nCtrlID            , ;  // nCtrlID            
              nRegion            , ;  // nRegion            
              @sLabels           , ;  // @sLabels           
              nAxisIndex           ;  // nAxisIndex          
              )


   nRt := RMC_SetDAXLineColor( ;
              nCtrlID                , ;  // nCtrlID                
              nRegion                , ;  // nRegion                
              nColor                   ;  // nColor                  
              )    

   nRt := RMC_SetDAXLineStyle( ;
              nCtrlID                , ;  // nCtrlID                
              nRegion                , ;  // nRegion                
              nStyle                   ;  // nStyle                  
              )    
                  
   nRt := RMC_SetDAXMaxValue( ;
              nCtrlID                , ;  // nCtrlID                
              nRegion                , ;  // nRegion                
              nMaxValue              , ;  // nMaxValue              
              nAxisIndex               ;  // nAxisIndex              
              )    
                  
   nRt := RMC_SetDAXMinValue( ;
              nCtrlID                , ;  // nCtrlID                
              nRegion                , ;  // nRegion                
              nMinValue              , ;  // nMinValue              
              nAxisIndex               ;  // nAxisIndex              
              )    
                  
   nRt := RMC_SetDAXText( ;
              nCtrlID                , ;  // nCtrlID                
              nRegion                , ;  // nRegion                
              sText                  , ;  // sText                  
              nAxisIndex               ;  // nAxisIndex              
              )    
                  
   nRt := RMC_SetDAXTextColor( ;
              nCtrlID                , ;  // nCtrlID                
              nRegion                , ;  // nRegion                
              nColor                   ;  // nColor                  
              )    
                  
   nRt := RMC_SetDAXTickcount( ;
              nCtrlID                , ;  // nCtrlID                
              nRegion                , ;  // nRegion                
              nTickCount               ;  // nTickCount              
              )    
                  
   nRt := RMC_SetDAXUnit( ;
              nCtrlID                , ;  // nCtrlID                
              nRegion                , ;  // nRegion                
              sUnit                  , ;  // sUnit                  
              nAxisIndex               ;  // nAxisIndex              
              )    

   nRt := RMC_SetGridBGColor( ;
              nCtrlID                , ;  // nCtrlID                
              nRegion                , ;  // nRegion                
              nColor                   ;  // nColor                  
              )    

   nRt := RMC_SetGridBiColor( ;
              nCtrlID                , ;  // nCtrlID                
              nRegion                , ;  // nRegion                
              nBiColor                 ;  // nBiColor                
              )    

   nRt := RMC_SetGridGradient( ;
              nCtrlID                , ;  // nCtrlID                
              nRegion                , ;  // nRegion                
              nHasGradient             ;  // nHasGradient            
              )    

   nRt := RMC_SetGridMargin( ;
              nCtrlID                , ;  // nCtrlID                
              nRegion                , ;  // nRegion                
              nLeft                  , ;  // nLeft                  
              nTop                   , ;  // nTop                   
              nWidth                 , ;  // nWidth                 
              nHeight                  ;  // nHeight                 
              )    

   nRt := RMC_SetHelpingGrid( ;
              nCtrlID                , ;  // nCtrlID                
              nSize                  , ;  // nSize                  
              nGridColor               ;  // nGridColor              
              )    

   nRt := RMC_SetLAXAlignment( ;
              nCtrlID                , ;  // nCtrlID                
              nRegion                , ;  // nRegion                
              nAlignment               ;  // nAlignment              
              )    

   nRt := RMC_SetLAXCount( ;
              nCtrlID                , ;  // nCtrlID                
              nRegion                , ;  // nRegion                
              nLabelAxisCount          ;  // nLabelAxisCount         
              )    

   nRt := RMC_SetLAXFontSize( ;
              nCtrlID                , ;  // nCtrlID                
              nRegion                , ;  // nRegion                
              nFontSize                ;  // nFontSize               
              )    

   nRt := RMC_SetLAXLabelAlignment( ;
              nCtrlID                , ;  // nCtrlID                
              nRegion                , ;  // nRegion                
              nAlignment               ;  // nAlignment              
              )    

   nRt := RMC_SetLAXLabels( ;
              nCtrlID                , ;  // nCtrlID                
              nRegion                , ;  // nRegion                
              sLabels                  ;  // sLabels                 
              )    

   nRt := RMC_SetLAXLabelsFile( ;
              nCtrlId                , ;  // nCtrlId                
              nRegion                , ;  // nRegion                
              sFileName              , ;  // sFileName              
              sLines                 , ;  // sLines                 
              sFields                , ;  // sFields                
              sFieldDelimiter          ;  // sFieldDelimiter         
              )    

   nRt := RMC_SetLAXLabelsRange( ;
              nCtrlId                , ;  // nCtrlId                
              nRegion                , ;  // nRegion                
              nFirst                 , ;  // nFirst                 
              nLast                    ;  // nLast                   
              )    

   nRt := RMC_SetLAXLineColor( ;
              nCtrlID                , ;  // nCtrlID                
              nRegion                , ;  // nRegion                
              nColor                   ;  // nColor                  
              )    

   nRt := RMC_SetLAXLineStyle( ;
              nCtrlID                , ;  // nCtrlID                
              nRegion                , ;  // nRegion                
              nStyle                   ;  // nStyle                  
              )    

   nRt := RMC_SetLAXText( ;
              nCtrlID                , ;  // nCtrlID                
              nRegion                , ;  // nRegion                
              sText                    ;  // sText                   
              )    
                  
   nRt := RMC_SetLAXTextColor( ;
              nCtrlID                , ;  // nCtrlID                
              nRegion                , ;  // nRegion                
              nColor                   ;  // nColor                  
              )    

   nRt := RMC_SetLAXTickCount( ;
              nCtrlID                , ;  // nCtrlID                
              nRegion                , ;  // nRegion                
              nTickCount               ;  // nTickCount              
              )    
                  
   nRt := RMC_SetLegendAlignment( ;
              nCtrlID                , ;  // nCtrlID                
              nRegion                , ;  // nRegion                
              nAlignment               ;  // nAlignment              
              )    

   nRt := RMC_SetLegendBGColor( ;
              nCtrlID                , ;  // nCtrlID                
              nRegion                , ;  // nRegion                
              nColor                   ;  // nColor                  
              )    

   nRt := RMC_SetLegendFontBold( ;
              nCtrlID                , ;  // nCtrlID                
              nRegion                , ;  // nRegion                
              nFontBold                ;  // nFontBold               
              )    

   nRt := RMC_SetLegendFontSize( ;
              nCtrlID                , ;  // nCtrlID                
              nRegion                , ;  // nRegion                
              nFontSize                ;  // nFontSize               
              )    

   nRt := RMC_SetLegendHide( ;
              nCtrlID                , ;  // nCtrlID                
              nRegion                , ;  // nRegion                
              nHide                    ;  // nHide                   
              )     
                  
   nRt := RMC_SetLegendStyle( ;
              nCtrlID                , ;  // nCtrlID                
              nRegion                , ;  // nRegion                
              nStyle                   ;  // nStyle                  
              )    

   nRt := RMC_SetLegendText( ;
              nCtrlID                , ;  // nCtrlID                
              nRegion                , ;  // nRegion                
              sLegendText              ;  // sLegendText             
              )    

   nRt := RMC_SetLegendTextColor( ;
              nCtrlID                , ;  // nCtrlID                
              nRegion                , ;  // nRegion                
              nColor                   ;  // nColor                  
              )    

   Rt := RMC_SetMouseClick(   ;
             nCtrlId                 , ;  // nCtrlId                 
             nButton                 , ;  // nButton                 
             nX                      , ;  // nX                      
             nY                      , ;  // nY                      
             @oINFO                    ;  // @oINFO                   
             )

   nRt := RMC_SetRegionFooter( ;
              nCtrlID                , ;  // nCtrlID                
              nRegion                , ;  // nRegion                
              sFooter                  ;  // sFooter                 
              )    

   nRt := RMC_SetRegionMargin( ;
              nCtrlID                , ;  // nCtrlID                
              nRegion                , ;  // nRegion                
              nLeft                  , ;  // nLeft                  
              nTop                   , ;  // nTop                   
              nWidth                 , ;  // nWidth                 
              nHeight                  ;  // nHeight                 
              )    
                  
   nRt := RMC_SetRegionBorder( ;
              nCtrlID                , ;  // nCtrlID                
              nRegion                , ;  // nRegion                
              nShowBorder              ;  // nShowBorder             
              )    

   nRt := RMC_SetRMCFile( ;
              nCtrlID                , ;  // nCtrlID                
              sRMCFile                 ;        // sRMCFile                
              )    

   nRt := RMC_SetSeriesColor( ;
              nCtrlID                , ;  // nCtrlID                
              nRegion                , ;  // nRegion                
              nSeries                , ;  // nSeries                
              nColor                 , ;  // nColor                 
              nIndex                   ;  // nIndex                  
              )    

   nRt := RMC_SetSeriesExplodeMode( ;
              nCtrlID                , ;  // nCtrlID                
              nRegion                , ;  // nRegion                
              nSeries                , ;  // nSeries                
              nExplodeMode             ;  // nExplodeMode            
              )    

   nRt := RMC_SetSeriesData( ;
              nCtrlId                , ;  // nCtrlId                
              nRegion                , ;  // nRegion                
              nSeries                , ;  // nSeries                
              @nData                 , ;  // @nData       - DOUBLE 
              nDataCount             , ;  // nDataCount             
              nYData                   ;  // nYData                  
              )    

   nRt := RMC_SetSeriesDataFile( ;
              nCtrlId                , ;  // nCtrlId                
              nRegion                , ;  // nRegion                
              nSeries                , ;  // nSeries                
              sFileName              , ;  // sFileName              
              sLines                 , ;  // sLines                 
              sFields                , ;  // sFields                
              sFieldDelimiter        , ;  // sFieldDelimiter        
              nYData                   ;  // nYData                  
              )    

   nRt := RMC_SetSeriesDataRange( ;
              nCtrlId                , ;  // nCtrlId                
              nRegion                , ;  // nRegion                
              nSeries                , ;  // nSeries                
              nFirst                 , ;  // nFirst                 
              nLast                    ;  // nLast                   
              )    

   nRt := RMC_SetSeriesSingleData( ;
              nCtrlId                , ;  // nCtrlId                
              nRegion                , ;  // nRegion                
              nSeries                , ;  // nSeries                
              nData                  , ;  // nData                  
              nDataIndex             , ;  // nDataIndex             
              nYData                   ;  // nYData                  
              )    

   nRt := RMC_SetSeriesStartAngle( ;
              nCtrlID                , ;  // nCtrlID                
              nRegion                , ;  // nRegion                
              nSeries                , ;  // nSeries                
              nStartAngle              ;  // nStartAngle             
              )    

   nRt := RMC_SetSeriesDataAxis( ;
              nCtrlId                , ;  // nCtrlId                
              nRegion                , ;  // nRegion                
              nSeries                , ;  // nSeries                
              nWhichAxis               ;  // nWhichAxis              
              )    
                 
   nRt := RMC_SetSeriesHatchMode( ;
              nCtrlID                , ;  // nCtrlID                
              nRegion                , ;  // nRegion                
              nSeries                , ;  // nSeries                
              nHatchMode               ;  // nHatchMode              
              )    
                  
   nRt := RMC_SetSeriesHide( ;
              nCtrlID                , ;  // nCtrlID                
              nRegion                , ;  // nRegion                
              nSeries                , ;  // nSeries                
              nHide                    ;  // nHide                   
              )    

   nRt := RMC_SetSeriesHighLowColor( ;                 // new
              nCtrlID                , ;  // nCtrlID                
              nRegion                , ;  // nRegion                
              nSeries                , ;  // nSeries                
              nColorLow              , ;  // nColorLow              
              nColorHigh               ;  // nColorHigh              
              ) 
                  
   nRt := RMC_SetSeriesLinestyle( ;
              nCtrlID                , ;  // nCtrlID                
              nRegion                , ;  // nRegion                
              nSeries                , ;  // nSeries                
              nLinestyle               ;  // nLinestyle              
              )    
                  
   nRt := RMC_SetSeriesLucent( ;
              nCtrlID                , ;  // nCtrlID                
              nRegion                , ;  // nRegion                
              nSeries                , ;  // nSeries                
              nLucent                  ;  // nLucent                 
              )    

   nRt := RMC_SetSeriesPPColumn( ;
              nCtrlID                , ;  // nCtrlID                
              nRegion                , ;  // nRegion                
              nSeries                , ;  // nSeries                
              nPointsPerColumn         ;  // nPointsPerColumn        
              )    
                 
   nRt := RMC_SetSeriesPPColumnArray( ;
              nCtrlID                , ;  // nCtrlID                
              nRegion                , ;  // nRegion                
              nSeries                , ;  // nSeries                
              @nFirstPPCValue        , ;  // @nFirstPPCValue        
              nPPCValuesCount          ;  // nPPCValuesCount         
              )    

   nRt := RMC_SetSeriesVertical( ;
              nCtrlID                , ;  // nCtrlID                
              nRegion                , ;  // nRegion                
              nSeries                , ;  // nSeries                
              nVertical                ;  // nVertical               
              )    
                  
   nRt := RMC_SetSeriesStyle( ;
              nCtrlID                , ;  // nCtrlID                
              nRegion                , ;  // nRegion                
              nSeries                , ;  // nSeries                
              nStyle                   ;  // nStyle                  
              )    

   nRt := RMC_SetSeriesSymbol( ;
              nCtrlID                , ;  // nCtrlID                
              nRegion                , ;  // nRegion                
              nSeries                , ;  // nSeries                
              nSymbol                  ;  // nSymbol                 
              )    

   nRt := RMC_SetSeriesValuelabel( ;
              nCtrlID                , ;  // nCtrlID                
              nRegion                , ;  // nRegion                
              nSeries                , ;  // nSeries                
              nValuelabel              ;  // nValuelabel             
              )    

   nRt := RMC_SetSeriesXAxis( ;
              nCtrlId                , ;  // nCtrlId                
              nRegion                , ;  // nRegion                
              nSeries                , ;  // nSeries                
              nWhichXAxis              ;  // nWhichXAxis             
              )    
                     
   nRt := RMC_SetSeriesYAxis( ;
              nCtrlId                , ;  // nCtrlId                
              nRegion                , ;  // nRegion                
              nSeries                , ;  // nSeries                
              nWhichYAxis              ;  // nWhichYAxis             
              )    

   nRt := RMC_SetSingleBarColors ( ;
              nCtrlID                , ;  // nCtrlID                
              nRegion                , ;  // nRegion                
              @nColor                , ;  // @nColor                
              nColorCount              ;  // nColorCount             
              )    

   nRt := RMC_SetToolTipWidth( ;
              nCtrlID                , ;  // nCtrlID                
              nWidth                   ;  // nWidth                  
              )    

   nRt := RMC_SetWatermark( ;
              sWaterMark             , ;  // sWaterMark             
              nWMColor               , ;  // nWMColor               
              nWMLucentValue         , ;  // nWMLucentValue         
              nAlignment             , ;  // nAlignment             
              nFontSize                ;  // nFontSize               
              )    

   nRt := RMC_SetXAXAlignment( ;
              nCtrlID                , ;  // nCtrlID                
              nRegion                , ;  // nRegion                
              nAlignment             , ;  // nAlignment             
              nAxisIndex               ;  // nAxisIndex              
              )    

   nRt := RMC_SetYAXAlignment( ;
              nCtrlID                , ;  // nCtrlID                
              nRegion                , ;  // nRegion                
              nAlignment             , ;  // nAlignment             
              nAxisIndex               ;  // nAxisIndex              
              )    

   nRt := RMC_SetXAXDecimalDigits( ;
              nCtrlID                , ;  // nCtrlID                
              nRegion                , ;  // nRegion                
              nDecimalDigits         , ;  // nDecimalDigits         
              nAxisIndex               ;  // nAxisIndex              
              )    
                  
   nRt := RMC_SetYAXDecimalDigits( ;
              nCtrlID                , ;  // nCtrlID                
              nRegion                , ;  // nRegion                
              nDecimalDigits         , ;  // nDecimalDigits         
              nAxisIndex               ;  // nAxisIndex              
              )    
                  
   nRt := RMC_SetXAXFontSize( ;
              nCtrlID                , ;  // nCtrlID                
              nRegion                , ;  // nRegion                
              nFontSize              , ;  // nFontSize              
              nAxisIndex               ;  // nAxisIndex              
              )   
                  
   nRt := RMC_SetYAXFontSize( ;
              nCtrlID                , ;  // nCtrlID                
              nRegion                , ;  // nRegion                
              nFontSize              , ;  // nFontSize              
              nAxisIndex               ;  // nAxisIndex              
              )    

   nRt := RMC_SetXAXLabels( ;
              nCtrlID                , ;  // nCtrlID                
              nRegion                , ;  // nRegion                
              sLabels                , ;  // sLabels                
              nAxisIndex               ;  // nAxisIndex              
              )    

   nRt := RMC_SetYAXLabels( ;
              nCtrlID                , ;  // nCtrlID                
              nRegion                , ;  // nRegion                
              sLabels                , ;  // sLabels                
              nAxisIndex               ;  // nAxisIndex              
              )    
                  
   nRt := RMC_SetXAXLabelAlignment( ;
              nCtrlID                , ;  // nCtrlID                
              nRegion                , ;  // nRegion                
              nLabelAlignment        , ;  // nLabelAlignment        
              nAxisIndex               ;  // nAxisIndex              
              )    

   nRt := RMC_SetYAXLabelAlignment( ;
              nCtrlID                , ;  // nCtrlID                
              nRegion                , ;  // nRegion                
              nLabelAlignment        , ;  // nLabelAlignment        
              nAxisIndex               ;  // nAxisIndex              
              )    

   nRt := RMC_SetXAXLineColor( ;
              nCtrlID                , ;  // nCtrlID                
              nRegion                , ;  // nRegion                
              nColor                 , ;  // nColor                 
              nAxisIndex               ;  // nAxisIndex              
              )    
                  
   nRt := RMC_SetYAXLineColor( ;
              nCtrlID                , ;  // nCtrlID                
              nRegion                , ;  // nRegion                
              nColor                 , ;  // nColor                 
              nAxisIndex               ;  // nAxisIndex              
              )    
                 
   nRt := RMC_SetXAXLineStyle( ;
              nCtrlID                , ;  // nCtrlID                
              nRegion                , ;  // nRegion                
              nStyle                 , ;  // nStyle                 
              nAxisIndex               ;  // nAxisIndex 
              )    

   nRt := RMC_SetYAXLineStyle( ;
              nCtrlID                , ;  // nCtrlID                
              nRegion                , ;  // nRegion                
              nStyle                 , ;  // nStyle                 
              nAxisIndex               ;  // nAxisIndex              
              )    

   nRt := RMC_SetXAXMaxValue( ;
              nCtrlID                , ;  // nCtrlID                
              nRegion                , ;  // nRegion                
              nMaxValue              , ;  // nMaxValue              
              nAxisIndex               ;  // nAxisIndex              
              )    
                  
   nRt := RMC_SetYAXMaxValue( ;
              nCtrlID                , ;  // nCtrlID                
              nRegion                , ;  // nRegion                
              nMaxValue              , ;  // nMaxValue              
              nAxisIndex               ;  // nAxisIndex              
              )    

   nRt := RMC_SetXAXMinValue( ;
              nCtrlID                , ;  // nCtrlID                
              nRegion                , ;  // nRegion                
              nMinValue              , ;  // nMinValue              
              nAxisIndex               ;  // nAxisIndex 
              )    
                  
   nRt := RMC_SetYAXMinValue( ;
              nCtrlID                , ;  // nCtrlID                
              nRegion                , ;  // nRegion                
              nMinValue              , ;  // nMinValue              
              nAxisIndex               ;  // nAxisIndex              
              )    

   nRt := RMC_SetXAXText( ;
              nCtrlID                , ;  // nCtrlID                
              nRegion                , ;  // nRegion                
              sText                  , ;  // sText                  
              nAxisIndex               ;  // nAxisIndex              
              )    

   nRt := RMC_SetYAXText( ;
              nCtrlID                , ;  // nCtrlID                
              nRegion                , ;  // nRegion                
              sText                  , ;  // sText                  
              nAxisIndex               ;  // nAxisIndex              
              )    

   nRt := RMC_SetXAXTextColor( ;
              nCtrlID                , ;  // nCtrlID                
              nRegion                , ;  // nRegion                
              nColor                 , ;  // nColor                 
              nAxisIndex               ;  // nAxisIndex              
              )    
                  
   nRt := RMC_SetYAXTextColor( ;
              nCtrlID                , ;  // nCtrlID                
              nRegion                , ;  // nRegion                
              nColor                 , ;  // nColor                 
              nAxisIndex               ;  // nAxisIndex              
              )    

   nRt := RMC_SetXAXTickcount( ;
              nCtrlID                , ;  // nCtrlID                
              nRegion                , ;  // nRegion                
              nTickCount             , ;  // nTickCount             
              nAxisIndex               ;  // nAxisIndex              
              )    
                
   nRt := RMC_SetYAXTickcount( ;
              nCtrlID                , ;  // nCtrlID                
              nRegion                , ;  // nRegion                
              nTickCount             , ;  // nTickCount             
              nAxisIndex               ;  // nAxisIndex              
              )    
                  
   nRt := RMC_SetXAXUnit( ;
              nCtrlID                , ;  // nCtrlID                
              nRegion                , ;  // nRegion                
              sUnit                  , ;  // sUnit                  
              nAxisIndex               ;  // nAxisIndex              
              )    

   nRt := RMC_SetYAXUnit( ;
              nCtrlID                , ;  // nCtrlID                
              nRegion                , ;  // nRegion                
              sUnit                  , ;  // sUnit                  
              nAxisIndex               ;  // nAxisIndex              
              )    

   nRt := RMC_ShowToolTips( ;
              nCtrlID                , ;  // nCtrlID                
              nX                     , ;  // nX                     
              nY                       ;  // nY                      
              )    

// These 3 functions need work - how to handle the arrays properly...
/*
   nRt := RMC_Split( ;
              sData                  , ;  // sData                  
              asData[]                 ;  // asData[]                
              )    

   nRt := RMC_Split2Double( ;
              sData                  , ;  // sData                  
              aData[]                  ;  // aData[]                 
              )    
                 
   nRt := RMC_Split2Long( ;
              sData                  , ;  // sData                  
              aData[]                  ;  // aData[]                 
              )    
*/

   nRt := RMC_WriteRMCFile( ;
              nCtrlID                , ;  // nCtrlID                
              @sFileName               ;  // @sFileName              
              )    

   Rt := RMC_Zoom( ;
              nCtrlID                , ;  // nCtrlID                
              nMode                  , ;  // nMode                  
              nColor                 , ;  // nColor                 
              nLineColor             , ;  // nLineColor             
              nTransparency            ;  // nTransparency           
              ) 

//--------------------------------------------------------------------------//
